import { Vector3 } from "three";
import { Arc } from "../../DatabaseServices/Entity/Arc";
import { Circle } from "../../DatabaseServices/Entity/Circle";
import { ExtrudeContourCurve } from "../../DatabaseServices/Entity/Extrude";
export declare const ARC_SplitLength = 0.4;
export declare const ARC_RADIUS_MIN = 2.5;
export declare const Arc_MinSplitCount = 8;
export declare const ARC_MaxSplitCount = 90;
export declare function GetArcDrawCount(arc: Arc | Circle): number;
/**
 *
 * @param cu
 */
export declare function SplitCurveParams(cu: ExtrudeContourCurve): number[];
export declare function SplitCurvePoints(cu: ExtrudeContourCurve): Vector3[];
export declare function SplitArcParams(arc: Arc): number[];
//# sourceMappingURL=SplitCurveParams.d.ts.map