import React from "react";
import { DirectoryId } from "../../../Common/Request";
import { HeadCeilingInfoStore } from "../../Store/HeadCeilingStore/HeadCeilingInfoStore";
import { HeadCeilingProfileMaterialStore } from "../../Store/HeadCeilingStore/HeadCeilingMaterialStore";
import { BoardModalType } from "../Board/BoardModalType";
import { ModalState } from "../Modal/ModalInterface";
import { OnlySelectPanelStore } from "../OnlySelectManage/OnlySelectPanelStore";
import './HeadCeiling.less';
export declare enum Display {
    Block = "block",
    None = "none"
}
interface HeadCeilingInfoConfigPanelProps {
    store: HeadCeilingInfoStore | HeadCeilingProfileMaterialStore;
    directoryId: DirectoryId;
    configType: BoardModalType;
    noClose?: boolean;
    isNotUpdateStore?: boolean;
}
export declare class HeadCeilingInfoConfigPanel extends React.Component<HeadCeilingInfoConfigPanelProps, {}> {
    _Display: Display;
    _Event: Function;
    _Title: string;
    _CameraStateContainer: HTMLElement;
    _SelectStore: OnlySelectPanelStore;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    _Return: (status: ModalState) => Promise<void>;
    _OpenSelectTemplate: (style: Display) => void;
    _Minimize(): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=HeadCeilingInfoConfigPanel.d.ts.map